cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Walkthrough Wednesdays
260
Views
0
Helpful
2
Replies
dsalamanca
Beginner

UCCX 9.0.2 to 10.6.1 upgrade not working

Hello,

Just to check if anybody has seen this before:

Some time ago we upgraded an UCCX 8.6 to 9.0, installing the ciscouccx.refresh_upgrade_v1.2.cop and everything went well.

Now we want to upgrade that UCCX 9.0.2 to 10.6.1, and I see that we need to install the ciscouccx.refresh_upgrade_v1.9.cop for this, however when we do it, we get an error message saying that it is already installed. If we try to do the upgrade without this it returns an error message saying that it needs the patch first.

I haven't tried yet but i suppose that building a new UCCX and restoring a previous backup will also install the v.1.2 patch and I will be at the same point, so the only solution that I see is installing a new UCCX 10.6.1 server and configuring it by hand...


Any ideas would be very appreciated. Thanks in advance

2 REPLIES 2
Deepak Rawat
Cisco Employee

You can run show version active command to check if it is really installed there or not. If it does not show up there, then it means at some point you may have tried to install it but it did not get through properly and hence now does not allow you to install it again either.

building a new UCCX and restoring a previous backup will also install the v.1.2 patch and I will be at the same point

The above should really not be a problem since you installed v1.2 RU cop file in order to upgrade from 8.x to 9.0(2) and now in order to upgrade from 9.0(2) to 10.6(1) you need v1.9 RU cop file. I am also curious to know if you are upgrading from 9.0(2) base version or 9.0(2) SU2 or 9.0(2) SU3. As per compatibility matrix, you can upgrade only from 9.0(2) SU2 or SU3. Refer below

http://docwiki.cisco.com/wiki/Unified_CCX_Software_Compatibility_Matrix_for_10.6(1)#Unified_CCX_and_IP_IVR

If all of the above had been checked and is in place then I would strongly recommend to contact TAC once before doing a DRS restore or going for a rebuilt from the scratch.

Regards

Deepak

Hello Deepak,

Thank you for your answer, actually when you install the patch version 1.2, it is installed in the inactive partition (8.6) and in the active partition (9.0), it is actually shown with the show software command as you suggested.

We are upgrading to 9.0(2)SU3, but we already have found a way to solve this problem:

We made a switch version to version 8.6, then with the 9.0 version inactive, we could install the patch version 1.9 without errors. Once installed, we migrated the server from 8.6 to 10.5 correctly.

When we finished, we had UCCX version 8.6 in the inactive partition, and UCCX 10.5 on the active partition, and everything seems to be working fine now.

Regards and thank you once again,

Daniel

Content for Community-Ad

Spotlight Awards 2021